# priority_queue_base_dispatch.hpp File Reference

## Detailed Description

Contains an pqiative container dispatching base.

Definition in file priority_queue_base_dispatch.hpp.

Go to the source code of this file.

## Namespaces

- namespace pb_ds
- namespace pb_ds::detail

## Classes

- struct pb_ds::detail::priority_queue_base_dispatch< Value_Type, Cmp_Fn, binary_heap_tag, Allocator >
- struct pb_ds::detail::priority_queue_base_dispatch< Value_Type, Cmp_Fn, binomial_heap_tag, Allocator >
- struct pb_ds::detail::priority_queue_base_dispatch< Value_Type, Cmp_Fn, pairing_heap_tag, Allocator >
- struct pb_ds::detail::priority_queue_base_dispatch< Value_Type, Cmp_Fn, rc_binomial_heap_tag, Allocator >
- struct pb_ds::detail::priority_queue_base_dispatch< Value_Type, Cmp_Fn, thin_heap_tag, Allocator >